Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class Edge

    java.lang.Object
      de.grogra.graph.impl.Edge

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Node

    public abstract class Edge

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Method Summary
`void` | `addEdgeBits(int mask, Transaction xa)`
`boolean` | `getBitMark(int handle)`
`int` | `getEdgeBits()`
`abstract Node` | `getNeighbor(Node start)`
`abstract Edge` | `getNext(Node parent)`
`java.lang.Object` | `getObjectMark(int handle)`
`abstract Node` | `getSource()`
`SpecialEdgeDescriptor` | `getSpecialEdgeDescriptor()`
`abstract Node` | `getTarget()`
`abstract boolean` | `isDirection(Node source, Node target)`
`abstract boolean` | `isSource(Node node)`
`abstract boolean` | `isTarget(Node node)`
`static int` | `parseEdgeKeys(java.lang.String keys, Node source, Node target)`
`void` | `remove(Transaction xa)`
`void` | `removeEdgeBits(int mask, Transaction xa)`
`boolean` | `setBitMark(int handle, boolean mark)`
`void` | `setEdgeBits(int bits, Transaction xa)`
`java.lang.Object` | `setObjectMark(int handle, java.lang.Object object)`
`boolean` | `testEdgeBits(int mask)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addEdgeBits

    public final void addEdgeBits(int mask,
                                  Transaction xa)

### getBitMark

    public final boolean getBitMark(int handle)

### getEdgeBits

    public final int getEdgeBits()

### getNeighbor

    public abstract Node getNeighbor(Node start)

### getNext

    public abstract Edge getNext(Node parent)

### getObjectMark

    public final java.lang.Object getObjectMark(int handle)

### getSource

    public abstract Node getSource()

### getSpecialEdgeDescriptor

    public SpecialEdgeDescriptor getSpecialEdgeDescriptor()

### getTarget

    public abstract Node getTarget()

### isDirection

    public abstract boolean isDirection(Node source,
                                        Node target)

### isSource

    public abstract boolean isSource(Node node)

### isTarget

    public abstract boolean isTarget(Node node)

### parseEdgeKeys

    public static int parseEdgeKeys(java.lang.String keys,
                                    Node source,
                                    Node target)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### remove

    public final void remove(Transaction xa)

### removeEdgeBits

    public final void removeEdgeBits(int mask,
                                     Transaction xa)

### setBitMark

    public final boolean setBitMark(int handle,
                                    boolean mark)

### setEdgeBits

    public final void setEdgeBits(int bits,
                                  Transaction xa)

### setObjectMark

    public final java.lang.Object setObjectMark(int handle,
                                                java.lang.Object object)

### testEdgeBits

    public final boolean testEdgeBits(int mask)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD